from django.contrib import admin
from django.urls import path

from src.views import IndexView, TypeView, InfoView

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', IndexView.as_view(), name='index'),
    path('<str:type>/', TypeView.as_view(), name='type'),
    path('<str:type>/<int:info>/', InfoView.as_view(), name='info'),
]
