from src.models import Arc


def create_arc(vertex_in, vertex_out, arc_num, label=None):
    Arc.objects.create(
        vertex_in=vertex_in,
        vertex_out=vertex_out,
        label=label
    )
    return arc_num+1


def get_arc(first, second, n, idx):
    if Arc.objects.filter(vertex_out=first, vertex_in=second).exists():
        arc = Arc.objects.get(vertex_out=first, vertex_in=second)
    else:
        arc = Arc.objects.get(vertex_out=second, vertex_in=first)
    first = second
    arc.label = n + idx
    arc.save()
    return first
